Bug 588921 - [KMS][radeon] -72 and -79 enables S-video output confusing dual head display
Summary: [KMS][radeon] -72 and -79 enables S-video output confusing dual head display
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 20:09 UTC by Orion Poplawski
Modified: 2018-04-11 07:23 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:05:46 UTC
Type: ---


Attachments (Terms of Use)
Xorg.0.log (441.80 KB, text/plain)
2010-05-04 20:09 UTC, Orion Poplawski
no flags Details
dmesg (39.83 KB, text/plain)
2010-05-06 18:28 UTC, Orion Poplawski
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 28892 None None None Never

Description Orion Poplawski 2010-05-04 20:09:27 UTC
Created attachment 411395 [details]
Xorg.0.log

Description of problem:

With 1.8.0-12 (or possibly kernel 2.6.33.3-72.fc13.i686.PAE), the S-video output was enabled and KDE decided to disable DVI-0 and only enable DVI-1 on my dual monitor setup.

Difference from previous version:

5,6c5,6                                                                                         
< Build Operating System: x86-01 2.6.18-164.6.1.el5                                             
< Current Operating System: Linux orca 2.6.33.2-57.fc13.i686.PAE #1 SMP Tue Apr 20 08:58:17 UTC 
2010 i686
---
> Build Operating System: x86-01 2.6.18-164.15.1.el5 
> Current Operating System: Linux orca 2.6.33.3-72.fc13.i686.PAE #1 SMP Wed Apr 28 16:06:48 UTC 
2010 i686
8,9c8,9
< Build Date: 23 April 2010  06:30:59PM
< Build ID: xorg-x11-server 1.8.0-8.fc13 
---
> Build Date: 02 May 2010  02:56:54PM
> Build ID: xorg-x11-server 1.8.0-12.fc13 
16c16
< (==) Log file: "/var/log/Xorg.0.log", Time: Mon May  3 10:00:16 2010
---
> (==) Log file: "/var/log/Xorg.0.log", Time: Tue May  4 08:32:14 2010
491a492,493
> (II) RADEON(0): Printing probed modes for output S-video
> (II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsy
nc (37.4 kHz)
494c496
< (II) RADEON(0): Output S-video disconnected
---
> (II) RADEON(0): Output S-video connected
497a500
> (II) RADEON(0): Output S-video using initial mode 800x600 +3200+0
565d567
< (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
569,571c571,573
< (II) RADEON(0): Setting screen physical size to 846 x 317
< (II) RADEON(0): Allocate new frame buffer 3200x1200 stride 3200
< (II) RADEON(0): VRAM usage limit set to 215449K
---
> (II) RADEON(0): Setting screen physical size to 1058 x 317
> (II) RADEON(0): Allocate new frame buffer 4000x1200 stride 4032
> (II) RADEON(0): VRAM usage limit set to 211939K


Xorg.0.log:[    36.490] (II) RADEON(0): Output DVI-0 using initial mode 1600x1200 +0+0
Xorg.0.log:[    36.490] (II) RADEON(0): Output DVI-1 using initial mode 1600x1200 +1600+0
Xorg.0.log:[    36.490] (II) RADEON(0): Output S-video using initial mode 800x600 +3200+0
Xorg.0.log.old:[    40.415] (II) RADEON(0): Output DVI-0 using initial mode 1600x1200 +0+0
Xorg.0.log.old:[    40.415] (II) RADEON(0): Output DVI-1 using initial mode 1600x1200 +1600+0

Comment 1 Orion Poplawski 2010-05-06 18:07:12 UTC
This is a kernel issue.  Booting back to -57 fixes.  Still present in -79.  I don't see the plymouth boot screen at startup - black screen until X starts.

Comment 2 Orion Poplawski 2010-05-06 18:28:44 UTC
Created attachment 412137 [details]
dmesg

Comment 3 Orion Poplawski 2010-05-06 18:30:12 UTC
< Linux version 2.6.33.2-57.fc13.i686.PAE (mockbuild@xb-01.phx2.fedoraproject.org) (gcc version 4.4.3 20100409 (Red Hat 4.4.3-16) (GCC) ) #1 SMP Tue Apr 20 08:58:17 UTC 2010
---          
> Linux version 2.6.33.3-79.fc13.i686.PAE (mockbuild@xb-01.phx2.fedoraproject.org) (gcc version 4.4.3 20100422 (Red Hat 4.4.3-18) (GCC) ) #1 SMP Mon May 3 22:57:56 UTC 2010

745,746d722
< [drm] 2: conflicting encoders switching off SVIDEO-1
< [drm] in favor of DVI-I-2
753c729,730
< Console: switching to colour frame buffer device 200x75
---
> [drm] crtc 1 is connected to a TV
> Console: switching to colour frame buffer device 100x37
757d733
< modprobe used greatest stack depth: 5072 bytes left
759,762d734
< [drm] 2: conflicting encoders switching off SVIDEO-1
< [drm] in favor of DVI-I-2
< [drm] 2: conflicting encoders switching off SVIDEO-1
< [drm] in favor of DVI-I-2

Comment 4 Orion Poplawski 2010-07-02 17:02:19 UTC
I've filed a bug upstream.  Reassigning to ATI driver to try to get some traction.

Comment 5 Matěj Cepl 2010-07-19 16:13:05 UTC
Hmm, this looks relevant

815.459] (WW) EDID timing clock 162.00 exceeds claimed max 160MHz, fixing

Comment 6 Bug Zapper 2011-06-02 14:29:39 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 16:05:46 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.